linux centos7 GatewayWorker运行不起来是怎么回事

运行链接不上  提示 workerman-for-win can not run in linux  
微信图片_20190104185145.png
已邀请:

six

赞同来自: gaohaichao

好像是环境问题,百度下应该有答案

blogdaren - 乐于分享的PHP码农【http://www.blogdaren.com】

赞同来自: gaohaichao

 PHP出于安全因素考虑默认禁用了stream_socket_server等系列相关函数的, 通过 /path/to/php --ini  定位并编辑 /path/to/php.ini , 然后找到  disable_functions = ..... 段,  将 stream_socket_server 函数删除即可。

six

赞同来自:

你下载的是老的windows版本的GatewayWorker,在linux下无法运行。
现在新版本GatewayWorker已经可以同时支持windows和linux了,从主页下载新版本吧

gaohaichao

赞同来自:

我上传了新的结果报错

gaohaichao

赞同来自:

还是报错

要回复问题请先登录注册